export default class Logger {
    constructor(name) {
        this.name = name;
    }

    log(msg, type) {
        type = type || 'INFO';

        if (typeof msg === 'object') {
            console.log('[' + type + '] ' + this.name + ' - ');
            console.log(msg);
        } else {
            console.log('[' + type + '] ' + this.name + ' - ' + msg);
        }
    }

    info(msg) { this.log(msg, 'INFO'); }
    warn(msg) { this.log(msg, 'WARN'); }
    error(msg) { this.log(msg, 'ERROR'); }
    debug(msg) { this.log(msg, 'DEBUG'); }
};

var logger = new Logger('logger');

Logger.help = function() {
    var msg = '\nvar logger = new Logger({name}) - Create a logger'
            + '\nlogger.info(msg);'
            + '\nlogger.warn(msg);'
            + '\nlogger.error(msg);'
            + '\nlogger.debug(msg);';
    logger.info(msg);
};
